Bug 104494 - FILEOPEN DOC protected as read-only with selected parts as exceptions needs password to edit unprotected areas too
Summary: FILEOPEN DOC protected as read-only with selected parts as exceptions needs p...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:doc
Depends on:
Blocks: DOC-Doc-Protection
  Show dependency treegraph
 
Reported: 2016-12-08 11:57 UTC by Gabor Kelemen (allotropia)
Modified: 2023-12-23 03:13 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Partly password protected questionnaire (458.50 KB, application/msword)
2016-12-08 11:57 UTC, Gabor Kelemen (allotropia)
Details
Screenshot of the document in LO 5.1.4 and Word 2013 side by side (157.62 KB, image/png)
2016-12-08 11:58 UTC, Gabor Kelemen (allotropia)
Details
Restrict Editing DOC with pass 1234 (459.63 KB, application/msword)
2018-10-15 15:19 UTC, Timur
Details
Restrict Editing DOCX with pass 1234 (71.08 KB, application/vnd.ms-word.document.12)
2018-10-15 15:19 UTC, Timur
Details
104494 Bizt_kerdoiv protected pass 12345.doc: made by Word 2016 (457.50 KB, application/msword)
2018-10-17 13:07 UTC, Justin L
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen (allotropia) 2016-12-08 11:57:25 UTC
Created attachment 129394 [details]
Partly password protected questionnaire

Attached DOC file is a questionnaire to be filled. Most of the document is protected against modification except the parts to be filled.

In Writer it's impossible to fill the editable areas because it thinks the whole document is protected and asks for the password.
Comment 1 Gabor Kelemen (allotropia) 2016-12-08 11:58:14 UTC
Created attachment 129395 [details]
Screenshot of the document in LO 5.1.4 and Word 2013 side by side
Comment 2 Gabor Kelemen (allotropia) 2016-12-08 12:00:50 UTC
Also the table cells are slightly taller, which - along with a few page breaks - makes the document 36 pages long compared to 28 in Word. 
I'll open another bug for this problem.
Comment 3 Cor Nouws 2016-12-08 19:35:08 UTC
thanks for filing Gabor.
Confirm the problem in master and in 3.3.0.4..
Comment 4 QA Administrators 2017-12-10 16:41:14 UTC Comment hidden (obsolete, spam)
Comment 5 Justin L 2018-10-15 10:51:47 UTC
Can we either get the password, or a copy of the document without the password?
Comment 6 Timur 2018-10-15 15:17:51 UTC
FLGEHPXKRWCGQE worked for me as a password in MSO. 
Interestingly, LO opens DOC seeing it's protected but it doesn't accept correct password. Guess it doesn't differentiate between Restrict Editing and Read-Only. Lo opens DOCX without noticing it's protected.
Comment 7 Timur 2018-10-15 15:19:12 UTC Comment hidden (no-value)
Comment 8 Timur 2018-10-15 15:19:33 UTC
Created attachment 145734 [details]
Restrict Editing DOCX with pass 1234
Comment 9 Gabor Kelemen (allotropia) 2018-10-15 17:33:03 UTC Comment hidden (obsolete)
Comment 10 Justin L 2018-10-17 13:07:02 UTC
Created attachment 145779 [details]
104494 Bizt_kerdoiv protected pass 12345.doc: made by Word 2016

(In reply to Timur from comment #7)
That document was corrupted, so I'm uploading one that I roundtripped from the DOCX version (and changed the password to 5 characters since that is the minimum for native LO documents).  Note that I am still NOT able to unlock with one in LO with the password 12345, but it unlocks OK in Word. (Interesting that we enforce a password unlock when we don't accept the correct password...)
Comment 11 QA Administrators 2019-10-30 03:36:37 UTC Comment hidden (obsolete, spam)
Comment 12 Justin L 2020-03-09 10:23:31 UTC
This issue is different than I first thought.  I assumed that the document was "forms protected". However, it is marked as "read-only", but with various selected parts flagged as editable.

I don't think Writer has any such concept. The closest would be a protected section, but this is selected parts of a paragraph that are editable and so cannot nicely be mapped to a separate section.

I doubt anyone will spend time trying to solve a .doc feature request of this magnitude. The alternative is to design a proper fillable form document.
Comment 13 Aron Budea 2021-12-22 06:51:39 UTC
For the record, attachment 145953 [details] is a sample DOCX with the same feature.
Comment 14 QA Administrators 2023-12-23 03:13:18 UTC
Dear Gabor Kelemen (allotropia),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug